Rule Executions
This contains APIs related to Rule Executions
Export evaluations data
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns signed URL for download
POST /gateway/ccm/api/governance/execution/export?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 786
{
"ruleExecutionFilter": {
"accountId": "text",
"targetAccount": [
"text"
],
"executionStatus": "FAILED",
"region": [
"text"
],
"cloudProvider": "AWS",
"cloudProviders": [
"AWS"
],
"ruleIds": [
"text"
],
"ruleSetIds": [
"text"
],
"executionIds": [
"text"
],
"ruleEnforcementId": [
"text"
],
"ruleEnforcementRecommendationId": [
"text"
],
"time": [
{
"operator": "NOT_IN",
"timestamp": 1
}
],
"limit": 1,
"offset": 1,
"savings": 1,
"ruleExecutionSortType": "COST",
"sortOrder": "ASCENDING",
"resourceCountGreaterThanZero": true,
"costType": "POTENTIAL",
"isDryRun": true,
"ccmTagDTOS": [
{
"key": "text",
"value": "text"
}
],
"ccmCostCategoryCostBucketsDTOS": [
{
"costCategory": "text",
"costBucket": [
"text"
]
}
]
},
"includeMetadataFiles": true,
"includeResourceFiles": true,
"includeLogFiles": true,
"includeActionFiles": true,
"includeRuleYaml": true,
"includeInCsvFormat": true
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Fetch RuleExecutions
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns List of RuleExecution
POST /gateway/ccm/api/governance/execution/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 634
{
"policyExecutionFilter": {
"accountId": "text",
"targetAccount": [
"text"
],
"executionStatus": "FAILED",
"region": [
"text"
],
"cloudProvider": "AWS",
"cloudProviders": [
"AWS"
],
"ruleIds": [
"text"
],
"ruleSetIds": [
"text"
],
"executionIds": [
"text"
],
"ruleEnforcementId": [
"text"
],
"ruleEnforcementRecommendationId": [
"text"
],
"time": [
{
"operator": "NOT_IN",
"timestamp": 1
}
],
"limit": 1,
"offset": 1,
"savings": 1,
"ruleExecutionSortType": "COST",
"sortOrder": "ASCENDING",
"resourceCountGreaterThanZero": true,
"costType": "POTENTIAL",
"isDryRun": true,
"ccmTagDTOS": [
{
"key": "text",
"value": "text"
}
],
"ccmCostCategoryCostBucketsDTOS": [
{
"costCategory": "text",
"costBucket": [
"text"
]
}
]
}
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Rule Execution Filter Values
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns filter values for Rule Execution.
GET /gateway/ccm/api/governance/execution/filter-value?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return rule execution
GET /gateway/ccm/api/governance/execution/{ruleExecutionId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return actioned resources for a rule execution
GET /gateway/ccm/api/governance/actionedResources/{ruleExecutionId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Select filetype, by default RESOURCE file will be selected
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return resources/logs for a rule execution
GET /gateway/ccm/api/governance/execution/details/{ruleExecutionId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return resource for a rule execution
GET /gateway/ccm/api/governance/granularStatus/{ruleExecutionId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return logs for a rule execution
GET /gateway/ccm/api/governance/logs/{ruleExecutionId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return governance rule yaml for a rule execution
GET /gateway/ccm/api/governance/ruleYaml/{ruleExecutionId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return resources for a rule execution
GET /gateway/ccm/api/governance/status/{ruleExecutionId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Find last execution given rules list
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns List of RuleExecutions.
POST /gateway/ccm/api/governance/execution/ruleLastExecution?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 8
[
"text"
]{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Job enqueued to refresh cost for a rule execution
Bad Request
Internal server error
GET /gateway/ccm/api/governance/execution/refreshCost/{ruleExecutionId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
Rule Execution Tag Filter Values
Account Identifier for the Entity.
This has the query to list the tags for RuleExecution
tagKey
search
limit
offset
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns tag filter values for Rule Execution.
POST /gateway/ccm/api/governance/execution/filter-value/tags?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 99
{
"tagKey": "text",
"search": "text",
"limit": 1,
"offset": 1,
"time": [
{
"operator": "NOT_IN",
"timestamp": 1
}
]
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?